<?php

namespace App\DataFixtures;

use App\Entity\MerBeDM;
use App\Entity\MerParaDM;
use App\Entity\MerParaDT;
use App\Entity\MerParaSub;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Persistence\ObjectManager;

class MerFixtures extends Fixture
{
    public function load(ObjectManager $manager): void
    {
        // service1
        $tmp = new MerParaDM();
        $tmp->setMccMnc(12345)->setOfferId(221)->setProductCode('code1');
        $manager->persist($tmp);

        // sub
        $sub = new MerParaSub();
        $sub->setService($tmp)->setPin(1122)->setSubDate(new \DateTimeImmutable('now'));
        $manager->persist($sub);

        // service 2
        $tmp = new MerParaDM();
        $tmp->setMccMnc(12345)->setOfferId(223)->setProductCode('code2');
        $manager->persist($tmp);

        // sub
        $sub = new MerParaSub();
        $sub->setService($tmp)->setPin(2211)->setSubDate(new \DateTimeImmutable('now'));
        $manager->persist($sub);

        $sub = new MerParaSub();
        $sub->setService($tmp)->setSubDate(new \DateTimeImmutable('now'));
        $manager->persist($sub);

        // service 3
        $tmp = new MerParaDT();
        $tmp->setMccMnc(12345)->setServiceId('ser-vi-ce1')->setApiKey('api1');
        $manager->persist($tmp);

        $tmp = new MerParaDT();
        $tmp->setMccMnc(12341)->setServiceId('ser-vi-ce2')->setApiKey('api2');
        $manager->persist($tmp);

        $tmp = new MerBeDM();
        $tmp->setMccMnc(12341)->setOfferId(112)->setActivationCode('active1');
        $manager->persist($tmp);

        $manager->flush();
    }
}

// symfony console doctrine:fixtures:load
