<?php

namespace App\Entity;

use App\Repository\MerParaSubRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: MerParaSubRepository::class)]
class MerParaSub
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type: 'integer')]
    private $id;

    #[ORM\Column(type: 'integer', nullable: true)]
    private $pin;

    #[ORM\ManyToOne(targetEntity: MerService::class)]
    #[ORM\JoinColumn(nullable: false)]
    private MerService $service;

    #[ORM\Column(type: 'datetime_immutable')]
    private $subDate;

    #[ORM\Column(type: 'datetime_immutable', nullable: true)]
    private $unsubDate;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getPin(): ?int
    {
        return $this->pin;
    }

    public function setPin(?int $pin): self
    {
        $this->pin = $pin;

        return $this;
    }

    public function getService(): ?MerService
    {
        return $this->service;
    }

    public function setService(?MerService $service): self
    {
        $this->service = $service;

        return $this;
    }

    public function getSubDate(): ?\DateTimeImmutable
    {
        return $this->subDate;
    }

    public function setSubDate(\DateTimeImmutable $subDate): self
    {
        $this->subDate = $subDate;

        return $this;
    }

    public function getUnsubDate(): ?\DateTimeImmutable
    {
        return $this->unsubDate;
    }

    public function setUnsubDate(?\DateTimeImmutable $unsubDate): self
    {
        $this->unsubDate = $unsubDate;

        return $this;
    }
}
